MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029576Open CASCADE[OCCT] OCCT:Codingpublic2018-03-14 21:472018-06-29 21:21
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029576: Coding Rules - remove unused declarations from package Aspect
DescriptionThe following definitions are used nowhere and should be removed:
- Aspect_TypeOfPrimitive, Aspect_TypeOfLayer, Aspect_TypeOfEdge, Aspect_TypeOfDrawMode, Aspect_TypeOfConstraint, Aspect_DriverDefinitionError, Aspect_BadAccess
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025546closedbugmaster Visualization - remove unused methods and classes from package Aspect 
related to 0025038closedapn Visualization - remove unused classes from package Aspect 
child of 0025789closedbugmaster Visualization - get rid of obsolete 2d layers implementation 

-  Notes
(0074489)
git (administrator)
2018-03-14 21:51

Branch CR29576 has been created by kgv.

SHA-1: 6a53e653e016c67d6ba66e1bc5afc0bd54fbccff


Detailed log of new commits:

Author: kgv
Date: Wed Mar 14 21:51:11 2018 +0300

    0029576: Coding Rules - remove unused declarations from package Aspect
    
    The following unused declarations have been removed:
      Aspect_TypeOfPrimitive, Aspect_TypeOfLayer, Aspect_TypeOfEdge,
      Aspect_TypeOfDrawMode, Aspect_TypeOfConstraint,
      Aspect_DriverDefinitionError, Aspect_BadAccess.
(0074491)
kgv (developer)
2018-03-15 10:17

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29576-CR29576-KGV/ [^]
(0074497)
bugmaster (administrator)
2018-03-15 12:35

Combination -
OCCT branch : CR29576 SHA - 6a53e653e016c67d6ba66e1bc5afc0bd54fbccff
Products branch : CR29576 SHA - ec8361265e0f25558bec149773925207addae188
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings
(0074541)
git (administrator)
2018-03-16 14:13

Branch CR29576 has been updated by kgv.

SHA-1: 0882a6310aa666269d2e49dbc6c7f717844e16d1


Detailed log of new commits:

Author: kgv
Date: Fri Mar 16 14:13:32 2018 +0300

    # extend upgrade.md

(0074544)
git (administrator)
2018-03-16 14:18

Branch CR29576 has been updated by kgv.

SHA-1: b2695762df4f4aa5518e754c205dbd04b6650552


Detailed log of new commits:

Author: kgv
Date: Fri Mar 16 14:18:39 2018 +0300

    # eliminate doxygen warnings

(0074618)
git (administrator)
2018-03-19 10:05

Branch CR29576 has been deleted by kgv.

SHA-1: b2695762df4f4aa5518e754c205dbd04b6650552

- Related Changesets
occt: master 39a349fd
Timestamp: 2018-03-14 18:51:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029576: Coding Rules - remove unused declarations from package Aspect

The following unused declarations have been removed:
  Aspect_TypeOfPrimitive, Aspect_TypeOfLayer, Aspect_TypeOfEdge,
  Aspect_TypeOfDrawMode, Aspect_TypeOfConstraint,
  Aspect_DriverDefinitionError, Aspect_BadAccess.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
rm - src/Aspect/Aspect_BadAccess.hxx Diff ] File ]
rm - src/Aspect/Aspect_DriverDefinitionError.hxx Diff ] File ]
rm - src/Aspect/Aspect_TypeOfConstraint.hxx Diff ] File ]
rm - src/Aspect/Aspect_TypeOfDrawMode.hxx Diff ] File ]
rm - src/Aspect/Aspect_TypeOfEdge.hxx Diff ] File ]
rm - src/Aspect/Aspect_TypeOfLayer.hxx Diff ] File ]
rm - src/Aspect/Aspect_TypeOfPrimitive.hxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-14 21:47 kgv New Issue
2018-03-14 21:47 kgv Assigned To => kgv
2018-03-14 21:51 git Note Added: 0074489
2018-03-14 21:53 kgv Relationship added child of 0025789
2018-03-14 21:53 kgv Product Version => 7.0.0
2018-03-15 10:17 kgv Note Added: 0074491
2018-03-15 10:17 kgv Assigned To kgv => bugmaster
2018-03-15 10:17 kgv Severity integration request => trivial
2018-03-15 10:17 kgv Status new => resolved
2018-03-15 10:17 kgv Status resolved => reviewed
2018-03-15 10:18 kgv Relationship added related to 0025546
2018-03-15 10:18 kgv Relationship added related to 0025038
2018-03-15 12:35 bugmaster Note Added: 0074497
2018-03-15 12:35 bugmaster Status reviewed => tested
2018-03-15 12:35 bugmaster Test case number => Not needed
2018-03-16 14:13 git Note Added: 0074541
2018-03-16 14:18 git Note Added: 0074544
2018-03-18 13:21 bugmaster Changeset attached => occt master 39a349fd
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074618
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker